Subject: Re: bug#66743: 30.0.50; Crash when dumping reftex

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Oct 2023 12:44:13 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Thu, 26 Oct 2023 09:38:40 +0000
> 
> > TLDR is that the code to dump itrees is there, somewhere in git, but has
> > an infinite recursion bug. So, I guess it should first be tried to
> > revive that code and fix it (tests should also exist, IIUC).
> 
> While I agree that dumping buffer overlays would be nice to have, I
> think I found a simple workaround for the specific issue I reported.
> We may simply make sure that the overlays do not belong to any buffer -
> it is good enough for the purposes of reftex library, where the overlay
> objects are created once and then modified by side effect for actual
> use.
> 
> See the attached patch.

Thanks.

FWIW, I'd prefer that we find less kludgey solutions to these
problems.